%global srcname tempita 
Name:      python-%{srcname}
Version:   0.5.2
Release:   2
Summary:   A small templating language for text substitution
License:   MIT
URL:       https://pypi.org/project/Tempita/%{version}/#description
Source0:   %{pypi_source}
BuildArch: noarch

Patch6000: backport-Fix-build-with-python-setuptools-58.0.0-or-later.patch

%global common_description %{expand:Tempita is a small templating language for text substitution.
This isn't meant to be the Next Big Thing in templating; it is just a handy little templating
language for when your project outgrows string.Template or % substitution. It is small, it
embeds Python in strings, and it does not do much else.}

BuildRequires:python3-devel python3-setuptools

%description
%{common_description}

%package -n python3-tempita
Summary: A small templating language for text substitution
%{?python_provide:%python_provide python3-tempita}

%description -n python3-tempita
%{common_description}

%prep
%autosetup -n Tempita-%{version} -p1

%build
%py3_build

%install
%py3_install

%pre

%preun

%post

%postun

%files -n python3-tempita
%{python3_sitelib}/tempita/
%{python3_sitelib}/*.egg-info

%changelog
* Sat Jan 08 2022 shixuantong <shixuantong@huawei.com> - 0.5.2-2
- Fix build with py-setuptools 58.0.0+ and delete python3-nose buildrequire

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 0.5.2-1
- upgrade version to 0.5.2

* Thu Oct 29 2020 tianwei <tianwei12@huawei.com> - 0.5.1-22
- delete python2

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.5.1-21
- Package init
